/*This file must be used with FLTK1.3 with cairo enabled
 * config.h is generated by fltk on your system
 * compile with: fltk-config --use-cairo --compile test7.cpp
*/
#include "config.h" //config.h must always be placed before any Fl header
#include <math.h>
#include <stdio.h>
#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Button.H>
#include "Fl_Cairo_Window_Tx.cpp"

#define MATH_PI 3.141592654

Fl_Cairo_Window_Tx* cai_wnd;

static void my_cairo_draw_cb(Fl_Cairo_Window_Tx* window, cairo_t* cr)
{
	for ( int i=0; i<20; i++)
	{
		cairo_move_to (cr, 5+29.7*i, 187);
		cairo_line_to (cr, 35+29.7*i, 8);
		cairo_set_line_width (cr, 0.3*(i+20));
		cairo_stroke (cr);
	}
	
	for ( double ag=0; ag<=2*MATH_PI; ag+=MATH_PI/20.0)
	{
		double tx2=90*cos(ag);
		double ty2=90*sin(ag);
		double tx1=20*cos(ag);
		double ty1=20*sin(ag);
		cairo_move_to (cr, 706+tx1, 97-ty1);
		cairo_line_to (cr, 706+tx2, 97-ty2);
		cairo_set_line_width (cr, 1.0);
		cairo_stroke (cr);
	}
}

int main(int argc, char** argv)
{
	Fl_Window main_wnd(606+200,194,"test7 (fltk-cairo)");
		cai_wnd = new Fl_Cairo_Window_Tx(0,0, 606+200,194);
		cai_wnd->color(FL_WHITE);
		cai_wnd->set_draw_cb(my_cairo_draw_cb);
		cai_wnd->end();
	main_wnd.end();
	main_wnd.show(argc,argv);

	return Fl::run();
}
